<?php

/**
 * Provide a dashboard view for the plugin.
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      0.9.1
 *
 * @package    Wpsms
 * @subpackage Wpsms/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<!--[if IE 8]>
	<script type="text/javascript">
		document.body.className += ' is-ie-8';
	</script>
<![endif]-->

<div class="wrap wpsms-settings-admin-panel">

	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

		<p>
			<a href="#general-settings"><?php echo __( 'General Settings', 'wp-social-media-slider' ); ?></a> | 
			<a href="#twitter-settings"><?php echo __( 'Twitter Settings', 'wp-social-media-slider' ); ?></a> | 
			<a href="#wpsms-system-status" class='wpsms-info'><?php echo __( 'System Status', 'wp-social-media-slider' ); ?></a>
		</p>

	<div class="notifications">
		<div class="update-nag">
			If you'd like to display Facebook and Instagram posts in your slider, <a href="http://wpsocialmediaslider.com" target="_blank">purchase the full version</a>!
		</div>

		<?php  if ( !function_exists('curl_version') ) : ?>
			<div class="error">
				<p><?php printf( __( 'Please %1senable the Curl PHP extension%2s on your server.', 'wp-social-media-slider' ),
						'<a href="http://wpsocialmediaslider.com/docs#troubleshooting" target="_blank">',
						'</a>'); ?>
				</p>
			</div>
		<?php endif; ?>

	</div>

	<form method="post" action="options.php" enctype="multipart/form-data">
		<?php settings_fields('wpsms_settings') ?>
		<?php do_settings_sections($this->plugin_name) ?>

		<p class="submit">
			<input name="submit" type="submit" class="button-primary" value="Save Changes" />
		</p>
	</form>



<?php echo "<script>var wpsms_url = '" . plugins_url() . "/wp-social-media-slider/';</script>"; ?>

<div id="wpsms-system-status" style="max-width: 450px;" class='white-popup mfp-hide'>
    <h3><?php echo __( "System Status", 'wp-social-media-slider' ); ?></h3>
    <p><strong>PHP Version:</strong> <?php echo phpversion();?></p>

    <?php if ( function_exists('curl_version') ) : ?>
        <?php $curl_version = curl_version(); ?>
        <p><strong>Curl Version:</strong> <?php echo $curl_version['version']; ?></p>
    <?php else: ?>
        <p><strong>Curl Version:</strong> Disabled</p>
    <?php endif; ?>

    <p><strong>JSON Version:</strong> <?php echo ( phpversion( 'json' ) ) ? phpversion( 'json' ) : 'Disabled'; ?></p>
    <p><strong>Server:</strong> <?php echo ( array_key_exists( 'SERVER_SOFTWARE', $_SERVER) ) ? $_SERVER["SERVER_SOFTWARE"] : "Unknown"; ?></p>
</div>

<div id="wpsms-cache-info" style="max-width: 450px;" class='white-popup mfp-hide'>
    <h3><?php echo __( "Cache Information", 'wp-social-media-slider' ); ?></h3>
    <p>A separate cache is maintained for every unique slider (i.e. every slider with it's own configuration). For example, if you use inline configuration (e.g. specify a separate Twitter handle on one page), a distinct cache will be maintained for that slider. <a href="https://wpsocialmediaslider.com/docs#understanding-the-cache">Read more about the cache</a></p>

    <h4><span style="font-size: 1.1em; font-weight: bold;">Cache(s)</span> — <p class="wpsms-info-highlight"><strong>Total Memory Usage:</strong> <span id="wpsms-cache-memory"><?php echo $memory_usage; ?></span></p></h4>

    <?php date_default_timezone_set(get_option('timezone_string')); ?>
    <table class="wpsms-table" id="wpsms-cache-table">
        <tr class="wpsms-table-header">
            <th>Cache</th>
            <th>Last Updated</th>
        </tr>
        <?php $i = 0; ?>
        <?php if ( empty( $cache_data ) ) : ?>
            <tr>
                <td>empty</td>
                <td>empty</td>
            </tr>
        <?php else : ?>
            <?php foreach ( $cache_data as $slider ): ?>
                <?php $data = json_decode( $slider ); ?>
                <?php $time = key( $data ); ?>
                <?php $i++; ?>
                <tr>
                    <td>#<?php echo $i; ?></td>
                    <td><?php echo date( "F j, Y, g:i a T", $time ); ?></td>
                </tr>
            <?php endforeach; ?>
        <?php endif; ?>
    </table>
    <?php date_default_timezone_set('UTC'); ?>

    <button
        type="button"
        class="button-primary"
        style="margin-top: 1em;"
        id="clear-cache"
        data-url="<?php echo admin_url('admin-ajax.php'); ?>"
        data-nonce="<?php echo wp_create_nonce( 'wpsms-clear-cache' ); ?>">Clear all Caches</button>
</div>